# Makefile for FrameIO test routines
#   Keith Thorne
#   Physics Department, Penn State
#
# $Id: Makefile,v 1.2 2005-10-21 05:04:25 charlton Exp $
#
#  Assuming MATLAB is defined!!

# MySQL Include, libraries
# IF MySQL lib, inc defined use them
# OTHERWISE if LDR location known, use if
# OTHERWISE use defaults
ifndef MYSQL_LIB
ifdef LDR_LOCATION
MYSQL_L = -L$(LDR_LOCATION)/mysql/lib -lmysqlclient
else
MYSQL_L = -L/usr/center/raid2/ldr/mysql/lib -lmysqlclient
endif
else
MYSQL_L = -L$(MYSQL_LIB) -lmysqlclient 
endif
ifndef MYSQL_INC
ifdef LDR_LOCATION
MYSQL_I = -I$(LDR_LOCATION)/mysql/include
else
MYSQL_I = -I/usr/center/raid2/ldr/mysql/include
endif
else
MYSQL_I = -I$(MYSQL_INC) 
endif

OSTYPE      = linux
CC          = gcc -g
CMEX        = $(MATLAB)/bin/mex
CMCC        = $(MATLAB)/bin/mcc
MDEBUG      = -g -h
MEXSUFFIX   = mexglx

CINCLUDES = $(MYSQL_I) -I..
CLIBS = $(MYSQL_L)

# currently create test routines

testexe: framequery_test

framequery_test: framequery_test.o framequery.o common_mysql.o
	$(CC) -o framequery_test framequery_test.o framequery.o common_mysql.o $(CLIBS)

framequery_test.o: framequery_test.c
	$(CC) -c $(CINCLUDES) framequery_test.c

framequery.o: ../framequery.c
	$(CC) -c $(CINCLUDES) ../framequery.c

common_mysql.o: ../common_mysql.c
	$(CC) -c $(CINCLUDES) ../common_mysql.c

clean :
	rm -f framequery_test *.o

